id: meilisearch-detect

info:
  name: Meilisearch - Detect
  author: userdehghani
  severity: info
  description: |
    An open-source, blazingly fast, and hyper-relevant search engine that will improve your search experience.
  reference:
    - https://www.meilisearch.com/
  metadata:
    verified: true
    max-request: 1
    fofa-query: app="meilisearch"
  tags: meilisearch,detect,tech

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    matchers-condition: and
    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains(body, "Meilisearch is running")'
        condition: and
# digest: 4b0a00483046022100c891ed4d1822a26829747b3e6039a20975ee531e762f3755dc9e44e7454af3bf0221009c0a59f8eb25d0a26e135f7546acefa5b2b9c61da2fcdcf5280720c69968cfbb:922c64590222798bb761d5b6d8e72950